<?php
namespace wcf\data\infraction\suspension;
use wcf\data\object\type\ObjectTypeCache;
use wcf\data\DatabaseObject;

/**
 * Represents a suspension.
 * 
 * @author	Tim Düsterhus
 * @copyright	2001-2012 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wcf.infraction
 * @subpackage	data.infraction.suspension
 * @category	Community Framework (commercial)
 */
class InfractionSuspension extends DatabaseObject {
	/**
	 * @see	\wcf\data\DatabaseObject::$databaseTableName
	 */
	protected static $databaseTableName = 'infraction_suspension';
	
	/**
	 * @see	\wcf\data\DatabaseObject::$databaseTableIndexName
	 */
	protected static $databaseTableIndexName = 'suspensionID';
	
	/**
	 * Returns the proper SuspensionAction for this suspension.
	 * 
	 * @return	wcf\system\infraction\suspension\ISuspensionAction
	 */
	public function getAction() {
		$objectType = ObjectTypeCache::getInstance()->getObjectType($this->objectTypeID);
		if ($objectType === null) return null;
		
		$action = $objectType->getProcessor();
		
		return $action;
	}
}
