<?php
namespace wcf\data\infraction\suspension;
use wcf\data\AbstractDatabaseObjectAction;
use wcf\system\exception\SystemException;
use wcf\system\WCF;

/**
 * Executes actions on an infraction suspensions.
 * 
 * @author	Tim Duesterhus
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wcf.infraction
 * @subpackage	data.infraction.suspension
 * @category	Community Framework (commercial)
 */
class InfractionSuspensionAction extends AbstractDatabaseObjectAction {
	/**
	 * @see	\wcf\data\AbstractDatabaseObjectAction::$className
	 */
	protected $className = 'wcf\data\infraction\suspension\InfractionSuspensionEditor';
	
	/**
	 * @see	wcf\data\AbstractDatabaseObjectAction::$permissionsDelete
	 */
	protected $permissionsDelete = array('admin.user.infraction.canManageSuspension');
	
	/**
	 * @see	wcf\data\AbstractDatabaseObjectAction::$permissionsUpdate
	 */
	protected $permissionsUpdate = array('admin.user.infraction.canManageSuspension');
}
