<?php
namespace wcf\data\user\infraction\suspension;
use wcf\data\infraction\suspension\InfractionSuspension;
use wcf\data\user\User;
use wcf\data\DatabaseObject;
use wcf\system\WCF;

/**
 * Represents a suspension.
 * 
 * @author	Tim Düsterhus
 * @copyright	2001-2012 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wcf.infraction
 * @subpackage	data.user.infraction.suspension
 * @category	Community Framework (commercial)
 */
class UserInfractionSuspension extends DatabaseObject {
	/**
	 * @see	\wcf\data\DatabaseObject::$databaseTableName
	 */
	protected static $databaseTableName = 'user_infraction_suspension';
	
	/**
	 * @see	\wcf\data\DatabaseObject::$databaseTableIndexName
	 */
	protected static $databaseTableIndexName = 'userSuspensionID';
	
	/**
	 * suspension this user suspension is based on
	 * @var	wcf\data\infraction\suspension\InfractionSuspension
	 */
	protected $suspension = null;
	
	/**
	 * suspended user
	 * @var wcf\data\user\User
	 */
	protected $user = null;
	
	/**
	 * Returns the suspension this user suspension is based on.
	 * 
	 * @return	wcf\data\infraction\suspension\InfractionSuspension
	 */
	public function getSuspension() {
		if ($this->suspension === null) $this->suspension = new InfractionSuspension($this->suspensionID);
		
		return $this->suspension;
	}
	
	/**
	 * Returns the suspended user.
	 * 
	 * @return	wcf\data\user\User
	 */
	public function getUser() {
		if ($this->user === null) $this->user = new User($this->userID);
		
		return $this->user;
	}
}
