<?php
namespace wcf\data\user\infraction\suspension;

/**
 * Represents a list of user infraction suspensions.
 * 
 * @author 	Marcel Werk
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wcf.infraction
 * @subpackage	data.user.infraction.suspension
 * @category	Community Framework (commercial)
 */
class ViewableUserInfractionSuspensionList extends UserInfractionSuspensionList {
	/**
	 * Creates a new ViewableUserInfractionSuspensionList object.
	 */
	public function __construct() {
		parent::__construct();
		
		$this->sqlSelects .= "user_table.username, user_table2.username AS revokerUsername, infraction_suspension.title";
		$this->sqlJoins .= " LEFT JOIN wcf".WCF_N."_user user_table ON (user_table.userID = user_infraction_suspension.userID)";
		$this->sqlJoins .= " LEFT JOIN wcf".WCF_N."_user user_table2 ON (user_table2.userID = user_infraction_suspension.revoker)";
		$this->sqlJoins .= " LEFT JOIN wcf".WCF_N."_infraction_suspension infraction_suspension ON (infraction_suspension.suspensionID = user_infraction_suspension.suspensionID)";
	}
}
