<?php
namespace wcf\data\user\infraction\warning;

/**
 * Represents a list of user infraction warnings.
 * 
 * @author 	Marcel Werk
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wcf.infraction
 * @subpackage	data.user.infraction.warning
 * @category	Community Framework (commercial)
 */
class ViewableUserInfractionWarningList extends UserInfractionWarningList {
	/**
	 * Creates a new ViewableUserInfractionWarningList object.
	 */
	public function __construct() {
		parent::__construct();
		
		$this->sqlSelects .= "user_table.username, user_table2.username AS judgeUsername, user_table3.username AS revokerUsername";
		$this->sqlJoins .= " LEFT JOIN wcf".WCF_N."_user user_table ON (user_table.userID = user_infraction_warning.userID)";
		$this->sqlJoins .= " LEFT JOIN wcf".WCF_N."_user user_table2 ON (user_table2.userID = user_infraction_warning.judgeID)";
		$this->sqlJoins .= " LEFT JOIN wcf".WCF_N."_user user_table3 ON (user_table3.userID = user_infraction_warning.revoker)";
	}
}
