<?php
namespace wcf\system\infraction\suspension;

/**
 * Basis for suspensions that need no specific settings.
 * 
 * @author	Tim Düsterhus
 * @copyright	2001-2012 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wcf.infraction
 * @subpackage	system.infraction.suspension
 * @category	Community Framework (commercial)
 */
abstract class AbstractSuspensionAction implements ISuspensionAction {
	/**
	 * specific data to save
	 * @var	array
	 */
	public $data = array();
	
	/**
	 * @see wcf\system\infraction\suspension\ISuspensionAction::readFormParameters()
	 */
	public function readFormParameters() {
		return;
	}
	
	/**
	 * @see wcf\system\infraction\suspension\ISuspensionAction::validate()
	 */
	public function validate() {
		return;
	}
	
	/**
	 * @see wcf\system\infraction\suspension\ISuspensionAction::getData()
	 */
	public function getData() {
		return $this->data;
	}
	
	/**
	 * @see wcf\system\infraction\suspension\ISuspensionAction::setData()
	 */
	public function setData(array $data) {
		$this->data = $data;
	}
	
	/**
	 * @see wcf\system\infraction\suspension\ISuspensionAction::assignVariables()
	 */
	public function assignVariables() {
		return;
	}
	
	/**
	 * @see wcf\system\infraction\suspension\ISuspensionAction::getTemplateName()
	 */
	public function getTemplateName() {
		return '';
	}
}