<?php
namespace wcf\system\infraction\suspension;
use wcf\data\infraction\suspension\InfractionSuspension;
use wcf\data\user\infraction\suspension\UserInfractionSuspension;
use wcf\system\WCF;

/**
 * Bans the user.
 * 
 * @author	Marcel Werk
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wcf.infraction
 * @subpackage	system.infraction.suspension
 * @category	Community Framework (commercial)
 */
class BanSuspensionAction extends AbstractSuspensionAction {
	/**
	 * @see wcf\system\infraction\suspension\ISuspensionAction::suspend()
	 */
	public function suspend(InfractionSuspension $suspension, UserInfractionSuspension $userSuspension) {
		$sql = "UPDATE	wcf".WCF_N."_user
			SET	banned = ?,
				banReason = ?
			WHERE	userID = ?";
		$statement = WCF::getDB()->prepareStatement($sql);
		$statement->execute(array(
			1,
			$userSuspension->getUser()->getLanguage()->getDynamicVariable($suspension->title),	
			$userSuspension->userID
		));
	}
	
	/**
	 * @see wcf\system\infraction\suspension\ISuspensionAction::unsuspend()
	 */
	public function unsuspend(InfractionSuspension $suspension, UserInfractionSuspension $userSuspension) {
		$sql = "UPDATE	wcf".WCF_N."_user
			SET	banned = ?
			WHERE	userID = ?";
		$statement = WCF::getDB()->prepareStatement($sql);
		$statement->execute(array(0, $userSuspension->userID));
	}
}
