{include file='header' pageTitle='wcf.acp.infraction.suspension.'|concat:$action}

<header class="boxHeadline">
	<h1>{lang}wcf.acp.infraction.suspension.{$action}{/lang}</h1>
</header>

{if $errorField}
	<p class="error">{lang}wcf.global.form.error{/lang}</p>
{/if}

{if $success|isset}
	<p class="success">{lang}wcf.global.success.{$action}{/lang}</p>
{/if}

{if $action == 'edit'}
	<p class="info">{lang}wcf.acp.infraction.suspension.edit.note{/lang}</p>
{/if}

<div class="contentNavigation">
	<nav>
		<ul>
			<li><a href="{link controller='SuspensionList'}{/link}" class="button"><span class="icon icon16 icon-list"></span> <span>{lang}wcf.acp.menu.link.infraction.suspension.list{/lang}</span></a></li>
			{event name='contentNavigationButtons'}
		</ul>
	</nav>
</div>

<form method="post" action="{if $action == 'add'}{link controller='SuspensionAdd'}{/link}{else}{link controller='SuspensionEdit' id=$suspensionID}{/link}{/if}">
	<div class="container containerPadding sortableListContainer marginTop">
		<fieldset>
			<legend>{lang}wcf.infraction.suspension.data{/lang}</legend>
			
			<dl{if $errorField == 'title'} class="formError"{/if}>
				<dt><label for="title">{lang}wcf.global.title{/lang}</label></dt>
				<dd>
					<input type="text" id="title" name="title" value="{$title}" autofocus="autofocus" required="required" class="long" />
					{if $errorField == 'title'}
						<small class="innerError">
							{if $errorType == 'empty'}
								{lang}wcf.global.form.error.empty{/lang}
							{else}
								{lang}wcf.infraction.suspension.title.error.{@$errorType}{/lang}
							{/if}
						</small>
					{/if}
				</dd>
			</dl>
			
			{include file='multipleLanguageInputJavascript' elementIdentifier='title' forceSelection=false}
			
			<dl{if $errorField == 'points'} class="formError"{/if}>
				<dt><label for="points">{lang}wcf.infraction.suspension.points{/lang}</label></dt>
				<dd>
					<input type="number" id="points" name="points" value="{$points}" min="1" max="8388607" required="required" class="tiny" />
					{if $errorField == 'points'}
						<small class="innerError">
							{if $errorType == 'empty'}
								{lang}wcf.global.form.error.empty{/lang}
							{else}
								{lang}wcf.infraction.suspension.points.error.{@$errorType}{/lang}
							{/if}
						</small>
					{/if}
					<small>{lang}wcf.infraction.suspension.points.description{/lang}</small>
				</dd>
			</dl>
			
			<dl>
				<dd>
					<label><input type="checkbox" id="expiresNever" name="expiresNever" value="1"{if $expiresNever} checked="checked"{/if} /> {lang}wcf.infraction.suspension.expires.never{/lang}</label>
				</dd>
			</dl>
			
			<dl id="expiresSettings"{if $errorField == 'expires'} class="formError"{/if}>
				<dt><label for="expires">{lang}wcf.infraction.suspension.expires{/lang}</label></dt>
				<dd>
					<input type="number" id="expires" name="expires" value="{@$expires}" min="1" class="expiresInput short" />
					<select name="expiresType" class="expiresInput">
						<option value="hours"{if $expiresType == 'hours'} selected="selected"{/if}>{lang}wcf.infraction.warning.expires.hours{/lang}</option>
						<option value="days"{if $expiresType == 'days'} selected="selected"{/if}>{lang}wcf.infraction.warning.expires.days{/lang}</option>
						<option value="weeks"{if $expiresType == 'weeks'} selected="selected"{/if}>{lang}wcf.infraction.warning.expires.weeks{/lang}</option>
					</select>
					
					<script type="text/javascript">
						//<![CDATA[
						$('#expiresNever').change(function (event) {
							if ($('#expiresNever').is(':checked')) {
								$('#expiresSettings').hide();
							}
							else {
								$('#expiresSettings').show();
							}
						});
						$('#expiresNever').change();
						//]]>
					</script>
					
					{if $errorField == 'expires'}
						<small class="innerError">
							{if $errorType == 'empty'}
								{lang}wcf.global.form.error.empty{/lang}
							{else}
								{lang}wcf.infraction.suspension.expires.error.{@$errorType}{/lang}
							{/if}
						</small>
					{/if}
					<small>{lang}wcf.infraction.suspension.expires.description{/lang}</small>
				</dd>
			</dl>
			
			<dl{if $errorField == 'action' || $action == 'edit'} class="{if $errorField == 'action' && $action == 'edit'}disabled formError{elseif $action == 'edit'}disabled{else}formError{/if}"{/if}>
				<dt><label for="action">{lang}wcf.infraction.suspension.action{/lang}</label>
				<dd>
					<select id="action" name="action" data-template-url="{link controller='SuspensionAdd' showActionTemplate=1}{/link}"{if $action == 'edit'} disabled="disabled"{/if}>
						<option value=""{if $suspensionAction === ''} selected="selected"{/if}></option>
						{foreach from=$objectTypes item='objectTypeLoop'}
							<option value="{$objectTypeLoop->objectType}"{if $suspensionAction === $objectTypeLoop->objectType} selected="selected"{/if}>{lang}wcf.infraction.suspension.action.{$objectTypeLoop->objectType}{/lang}</option>
						{/foreach}
					</select>
					
					<script type="text/javascript">
						//<![CDATA[
						$('#action').change(function (event) {
							$('#actionTemplate').load($('#action').data('templateUrl') + "&action="+$('#action').val());
						});
						//]]>
					</script>
					
					{if $errorField == 'action'}
						<small class="innerError">
							{if $errorType == 'empty'}
								{lang}wcf.global.form.error.empty{/lang}
							{else}
								{lang}wcf.infraction.suspension.action.error.{@$errorType}{/lang}
							{/if}
						</small>
					{/if}
				</dd>
			</dl>
			
			{event name='dataFields'}
			
			<fieldset id="actionTemplate">
				{if $objectType !== null && $objectType->getProcessor()->getTemplateName()}{include file=$objectType->getProcessor()->getTemplateName()}{/if}
			</fieldset>
		</fieldset>
		
		{event name='fieldsets'}
	</div>
	
	<div class="formSubmit">
		<input type="submit" value="{lang}wcf.global.button.submit{/lang}" accesskey="s" />
 	</div>
</form>

{include file='footer'}