{include file='header' pageTitle='wcf.acp.infraction.userSuspension.list'}

{if $objects|count}
	<script type="text/javascript" src="{@$__wcf->getPath()}js/WCF.Infraction{if !ENABLE_DEBUG_MODE}.min{/if}.js?v={@$__wcfVersion}"></script>
	<script type="text/javascript">
		//<![CDATA[
		$(function() {
			WCF.Language.addObject({
				'wcf.infraction.suspension.revoke.confirmMessage': '{lang}wcf.infraction.suspension.revoke.confirmMessage{/lang}',
				'wcf.infraction.suspension.revoke.success': '{lang}wcf.infraction.suspension.revoke.success{/lang}'
			});
			
			new WCF.Infraction.Suspension.Revoke();
		});
		//]]>
	</script>
{/if}
<script type="text/javascript">
	//<![CDATA[
		$(function() {
			new WCF.Search.User('#username', null, false, [ ], true);
		});
	//]]>
</script>

<header class="boxHeadline">
	<h1>{lang}wcf.acp.infraction.userSuspension.list{/lang}</h1>
</header>

<form method="post" action="{link controller='UserSuspensionList'}{/link}">
	<div class="container containerPadding marginTop">
		<fieldset>
			<legend>{lang}wcf.global.filter{/lang}</legend>
		
			<dl>
				<dt><label for="username">{lang}wcf.user.username{/lang}</label></dt>
				<dd>
					<input type="text" id="username" name="username" value="{$username}" class="long" />
				</dd>
			</dl>
			
			{if $availableSuspensions|count}
				<dl>
					<dt><label for="suspensionID">{lang}wcf.infraction.suspension.predefined{/lang}</label></dt>
					<dd>
						<select name="suspensionID" id="suspensionID">
							<option value="0"></option>
							{foreach from=$availableSuspensions item=availableSuspension}
								<option value="{@$availableSuspension->suspensionID}"{if $suspensionID == $availableSuspension->suspensionID} selected="selected"{/if}>{$availableSuspension->title|language}</option>
							{/foreach}
						</select>
					</dd>
				</dl>
			{/if}
			
			<dl>
				<dt><label for="status">{lang}wcf.infraction.warning.status{/lang}</label></dt>
				<dd>
					<select name="status" id="status">
						<option value=""></option>
						<option value="active"{if $status == 'active'} selected="selected"{/if}>{lang}wcf.infraction.warning.status.active{/lang}</option>
						<option value="expired"{if $status == 'expired'} selected="selected"{/if}>{lang}wcf.infraction.warning.status.expired{/lang}</option>
					</select>
				</dd>
			</dl>
		</fieldset>
	</div>
	
	<div class="formSubmit">
		<input type="submit" value="{lang}wcf.global.button.submit{/lang}" accesskey="s" />
	</div>
</form>

<div class="contentNavigation">
	{assign var='linkParameters' value=''}
	{if $username}{capture append=linkParameters}&username={@$username|rawurlencode}{/capture}{/if}
	{if $suspensionID}{capture append=linkParameters}&suspensionID={@$suspensionID}{/capture}{/if}
	{if $status}{capture append=linkParameters}&status={@$status}{/capture}{/if}
	{pages print=true assign=pagesLinks controller="UserSuspensionList" link="pageNo=%d&sortField=$sortField&sortOrder=$sortOrder$linkParameters"}
	
	{hascontent}
		<nav>
			{content}
				<ul>
					{event name='contentNavigationButtonsTop'}
				</ul>
			{/content}
		</nav>
	{/hascontent}
</div>

{if $objects|count}
	<div class="tabularBox tabularBoxTitle marginTop">
		<header>
			<h2>{lang}wcf.acp.infraction.userSuspension.list{/lang} <span class="badge badgeInverse">{#$items}</span></h2>
		</header>
		
		<table class="table">
			<thead>
				<tr>
					<th class="columnID columnUserSuspensionID{if $sortField == 'userSuspensionID'} active {@$sortOrder}{/if}" colspan="2"><a href="{link controller='UserSuspensionList'}pageNo={@$pageNo}&sortField=userSuspensionID&sortOrder={if $sortField == 'userSuspensionID' && $sortOrder == 'ASC'}DESC{else}ASC{/if}{@$linkParameters}{/link}">{lang}wcf.global.objectID{/lang}</a></th>
					<th class="columnTitle{if $sortField == 'suspensionID'} active {@$sortOrder}{/if}"><a href="{link controller='UserSuspensionList'}pageNo={@$pageNo}&sortField=suspensionID&sortOrder={if $sortField == 'suspensionID' && $sortOrder == 'ASC'}DESC{else}ASC{/if}{@$linkParameters}{/link}">{lang}wcf.global.title{/lang}</a></th>
					<th class="columnText columnUsername{if $sortField == 'userID'} active {@$sortOrder}{/if}"><a href="{link controller='UserSuspensionList'}pageNo={@$pageNo}&sortField=userID&sortOrder={if $sortField == 'userID' && $sortOrder == 'ASC'}DESC{else}ASC{/if}{@$linkParameters}{/link}">{lang}wcf.user.username{/lang}</a></th>
					<th class="columnDate columnTime{if $sortField == 'time'} active {@$sortOrder}{/if}"><a href="{link controller='UserSuspensionList'}pageNo={@$pageNo}&sortField=time&sortOrder={if $sortField == 'time' && $sortOrder == 'ASC'}DESC{else}ASC{/if}{@$linkParameters}{/link}">{lang}wcf.infraction.suspension.time{/lang}</a></th>
					<th class="columnDate columnExpires{if $sortField == 'expires'} active {@$sortOrder}{/if}"><a href="{link controller='UserSuspensionList'}pageNo={@$pageNo}&sortField=expires&sortOrder={if $sortField == 'expires' && $sortOrder == 'ASC'}DESC{else}ASC{/if}{@$linkParameters}{/link}">{lang}wcf.infraction.suspension.expires{/lang}</a></th>
					
					{event name='columnHeads'}
				</tr>
			</thead>
			
			<tbody>
				{foreach from=$objects item=suspension}
					<tr class="jsSuspensionRow" data-object-id="{@$suspension->userSuspensionID}">
						<td class="columnIcon">
							<span class="icon icon16 icon-undo {if $suspension->revoked}disabled{else}jsButtonSuspensionRevoke pointer jsTooltip{/if}" title="{lang}wcf.infraction.suspension.revoke{/lang}"></span>
							
							{event name='rowButtons'}
						</td>
						<td class="columnID columnUserSuspensionID">{@$suspension->userSuspensionID}</td>
						<td class="columnTitle">
							<p>{$suspension->title|language}</p>
							{if $suspension->revoked}<p><small>{lang}wcf.infraction.suspension.revokedBy{/lang}</small></p>{/if}
						</td>
						<td class="columnText columnUsername"><a href="{link controller='UserEdit' id=$suspension->userID}{/link}">{$suspension->username}</a></td>
						<td class="columnDate columnTime">{@$suspension->time|time}</td>
						<td class="columnDate columnExpires">{if $suspension->expires == 0}{lang}wcf.infraction.warning.expires.never.short{/lang}{else}{@$suspension->expires|time}{/if}</td>
						
						{event name='columns'}
					</tr>
				{/foreach}
			</tbody>
		</table>
	</div>
	
	<div class="contentNavigation">
		{@$pagesLinks}
		
		{hascontent}
			<nav>
				{content}
					<ul>
						{event name='contentNavigationButtonsBottom'}
					</ul>
				{/content}
			</nav>
		{/hascontent}
	</div>
{else}
	<p class="info">{lang}wcf.global.noItems{/lang}</p>
{/if}

{include file='footer'}
