{if $alreadyWarned}
	<p class="info">{lang}wcf.infraction.warning.alreadyWarned{/lang}</p>
{else}
	<div>
		<fieldset>
			<legend>{lang}wcf.infraction.warning.objectInformation{/lang}</legend>
			
			<dl>
				<dt>{lang}wcf.user.username{/lang}</dt>
				<dd>
					<a href="{link controller='User' object=$user}{/link}">{$user->username}</a>
				</dd>
			</dl>
			{if $object !== null}
				<dl>
					<dt>{lang}wcf.infraction.warning.object{/lang}</dt>
					<dd>
						<a href="{$object->getLink()}">{$object->getTitle()}</a>
					</dd>
				</dl>
			{/if}
			
			{event name='objectInformationFields'}
		</fieldset>
			
		<fieldset>
			<legend>{lang}wcf.infraction.warning.data{/lang}</legend>
			
			<dl{if !$warnings|count} style="display: none;"{/if}>
				<dt>{lang}wcf.infraction.warning.predefined{/lang}</dt>
				<dd id="warningIDSelectContainer">
					{foreach from=$warnings item='warning'}
						<label><input class="warningIDSelect" type="radio" name="warningID" value="{$warning->warningID}" /> {$warning->title|language}</label>
						<small>{lang}wcf.infraction.warning.points{/lang}: {#$warning->points}, {lang}wcf.infraction.warning.expires{/lang}: {if $warning->expires == 0}{lang}wcf.infraction.warning.expires.never.short{/lang}{else}{$warning->expires|dateDiff:0:true}{/if}</small>
					{/foreach}
					{if $__wcf->session->getPermission('mod.infraction.warning.canUseCustomWarning')}
						<label><input class="warningIDSelect" type="radio" name="warningID" value="0" checked="checked" /> {lang}wcf.infraction.warning.custom{/lang}</label>
					{/if}
				</dd>
			</dl>
			
			{if $__wcf->session->getPermission('mod.infraction.warning.canUseCustomWarning')}
				<fieldset id="warningCustomSettings">
					<dl>
						<dt><label for="warningTitle">{lang}wcf.global.title{/lang}</label></dt>
						<dd>
							<input type="text" id="warningTitle" name="title" required="required" class="long" />
						</dd>
					</dl>
					
					<dl>
						<dt><label for="warningPoints">{lang}wcf.infraction.warning.points{/lang}</label></dt>
						<dd>
							<input type="number" id="warningPoints" name="points" value="0" min="0" max="8388607" required="required" class="tiny" />
							<small>{lang}wcf.infraction.warning.points.description{/lang}</small>
						</dd>
					</dl>
					
					<dl>
						<dd>
							<label><input type="checkbox" id="warningExpiresNever" name="expiresNever" value="1" checked="checked" /> {lang}wcf.infraction.warning.expires.never{/lang}</label>
						</dd>
					</dl>
					
					<dl id="warningExpiresSettings">
						<dt><label for="warningExpires">{lang}wcf.infraction.warning.expires{/lang}</label></dt>
						<dd>
							<input type="number" id="warningExpires" name="expires" value="1" min="1" class="expiresInput short" />
							<select id="warningExpiresType" name="warningExpiresType" class="expiresInput">
								<option value="hours">{lang}wcf.infraction.warning.expires.hours{/lang}</option>
								<option value="days" selected="selected">{lang}wcf.infraction.warning.expires.days{/lang}</option>
								<option value="weeks">{lang}wcf.infraction.warning.expires.weeks{/lang}</option>
							</select>
							
							<script type="text/javascript">
								//<![CDATA[
								$('#warningExpiresNever').change(function (event) {
									if ($('#warningExpiresNever').is(':checked')) {
										$('#warningExpiresSettings').hide();
									}
									else {
										$('#warningExpiresSettings').show();
									}
								});
								$('#warningExpiresNever').change();
								//]]>
							</script>
							<small>{lang}wcf.infraction.warning.expires.description{/lang}</small>
						</dd>
					</dl>
				</fieldset>
				<script type="text/javascript">
					//<![CDATA[
					$('.warningIDSelect').change(function (event) {
						if ($(this).val() == 0) {
							$('#warningCustomSettings input').enable();
							$('#warningCustomSettings').show();
						}
						else {
							$('#warningCustomSettings input').disable();
							$('#warningCustomSettings').hide();
						}
						try {
							$('#infractionWarn').wcfDialog('render');
						}
						catch (e) {
							// ignore when dialog is not initialized
						}
					});
					$('#warningIDSelectContainer input:checked').change();
					//]]>
				</script>
			{/if}
			
			
			
			{event name='dataFields'}
		</fieldset>
		
		<fieldset>
			<legend><label for="warningReason">{lang}wcf.infraction.warning.reason{/lang}</label></legend>
			
			<dl class="wide">
				<dt><label for="warningReason">{lang}wcf.infraction.warning.reason{/lang}</label></dt>
				<dd>
					<textarea id="warningReason" name="reason" rows="10" cols="40" required="required"></textarea>
					<small>{lang}wcf.infraction.warning.reason.description{/lang}</small>
				</dd>
			</dl>
			
			{event name='reasonFields'}
		</fieldset>
		
		{event name='fieldsets'}
	</div>
	
	<div class="formSubmit">
		<button class="jsSubmitWarning buttonPrimary" accesskey="s">{lang}wcf.global.button.submit{/lang}</button>
	</div>
{/if}