{include file='header' pageTitle='wcf.acp.infraction.userWarning.list'}

{if $objects|count}
	<script type="text/javascript" src="{@$__wcf->getPath()}js/WCF.Infraction{if !ENABLE_DEBUG_MODE}.min{/if}.js?v={@$__wcfVersion}"></script>
	<script type="text/javascript">
		//<![CDATA[
		$(function() {
			WCF.Language.addObject({
				'wcf.infraction.warning.details': '{lang}wcf.infraction.warning.details{/lang}',
				'wcf.infraction.warning.revoke.confirmMessage': '{lang}wcf.infraction.warning.revoke.confirmMessage{/lang}',
				'wcf.infraction.warning.revoke.success': '{lang}wcf.infraction.warning.revoke.success{/lang}'
			});
			
			new WCF.Infraction.Warning.Revoke();
			new WCF.Infraction.Warning.ShowDetails();
		});
		//]]>
	</script>
{/if}
<script type="text/javascript">
	//<![CDATA[
		$(function() {
			new WCF.Search.User('#username', null, false, [ ], true);
			new WCF.Search.User('#judge', null, false, [ ], true);
		});
	//]]>
</script>

<header class="boxHeadline">
	<h1>{lang}wcf.acp.infraction.userWarning.list{/lang}</h1>
</header>

<form method="post" action="{link controller='UserWarningList'}{/link}">
	<div class="container containerPadding marginTop">
		<fieldset>
			<legend>{lang}wcf.global.filter{/lang}</legend>
		
			<dl>
				<dt><label for="username">{lang}wcf.user.username{/lang}</label></dt>
				<dd>
					<input type="text" id="username" name="username" value="{$username}" class="long" />
				</dd>
			</dl>
			
			<dl>
				<dt><label for="judge">{lang}wcf.infraction.warning.judge{/lang}</label></dt>
				<dd>
					<input type="text" id="judge" name="judge" value="{$judge}" class="long" />
				</dd>
			</dl>
			
			{if $availableWarnings|count}
				<dl>
					<dt><label for="warningID">{lang}wcf.infraction.warning.predefined{/lang}</label></dt>
					<dd>
						<select name="warningID" id="warningID">
							<option value="0"></option>
							{foreach from=$availableWarnings item=availableWarning}
								<option value="{@$availableWarning->warningID}"{if $warningID == $availableWarning->warningID} selected="selected"{/if}>{$availableWarning->title|language}</option>
							{/foreach}
						</select>
					</dd>
				</dl>
			{/if}
			
			<dl>
				<dt><label for="status">{lang}wcf.infraction.warning.status{/lang}</label></dt>
				<dd>
					<select name="status" id="status">
						<option value=""></option>
						<option value="active"{if $status == 'active'} selected="selected"{/if}>{lang}wcf.infraction.warning.status.active{/lang}</option>
						<option value="expired"{if $status == 'expired'} selected="selected"{/if}>{lang}wcf.infraction.warning.status.expired{/lang}</option>
					</select>
				</dd>
			</dl>
		</fieldset>
	</div>
	
	<div class="formSubmit">
		<input type="submit" value="{lang}wcf.global.button.submit{/lang}" accesskey="s" />
	</div>
</form>

<div class="contentNavigation">
	{assign var='linkParameters' value=''}
	{if $username}{capture append=linkParameters}&username={@$username|rawurlencode}{/capture}{/if}
	{if $judge}{capture append=linkParameters}&judge={@$judge|rawurlencode}{/capture}{/if}
	{if $warningID}{capture append=linkParameters}&warningID={@$warningID}{/capture}{/if}
	{if $status}{capture append=linkParameters}&status={@$status}{/capture}{/if}
	{pages print=true assign=pagesLinks controller="UserWarningList" link="pageNo=%d&sortField=$sortField&sortOrder=$sortOrder$linkParameters"}
	
	{hascontent}
		<nav>
			{content}
				<ul>
					{event name='contentNavigationButtonsTop'}
				</ul>
			{/content}
		</nav>
	{/hascontent}
</div>

{if $objects|count}
	<div class="tabularBox tabularBoxTitle marginTop">
		<header>
			<h2>{lang}wcf.acp.infraction.userWarning.list{/lang} <span class="badge badgeInverse">{#$items}</span></h2>
		</header>
		
		<table class="table">
			<thead>
				<tr>
					<th class="columnID columnUserWarningID{if $sortField == 'userWarningID'} active {@$sortOrder}{/if}" colspan="2"><a href="{link controller='UserWarningList'}pageNo={@$pageNo}&sortField=userWarningID&sortOrder={if $sortField == 'userWarningID' && $sortOrder == 'ASC'}DESC{else}ASC{/if}{@$linkParameters}{/link}">{lang}wcf.global.objectID{/lang}</a></th>
					<th class="columnTitle{if $sortField == 'title'} active {@$sortOrder}{/if}"><a href="{link controller='UserWarningList'}pageNo={@$pageNo}&sortField=title&sortOrder={if $sortField == 'title' && $sortOrder == 'ASC'}DESC{else}ASC{/if}{@$linkParameters}{/link}">{lang}wcf.global.title{/lang}</a></th>
					<th class="columnText columnUsername{if $sortField == 'userID'} active {@$sortOrder}{/if}"><a href="{link controller='UserWarningList'}pageNo={@$pageNo}&sortField=userID&sortOrder={if $sortField == 'userID' && $sortOrder == 'ASC'}DESC{else}ASC{/if}{@$linkParameters}{/link}">{lang}wcf.user.username{/lang}</a></th>
					<th class="columnDate columnTime{if $sortField == 'time'} active {@$sortOrder}{/if}"><a href="{link controller='UserWarningList'}pageNo={@$pageNo}&sortField=time&sortOrder={if $sortField == 'time' && $sortOrder == 'ASC'}DESC{else}ASC{/if}{@$linkParameters}{/link}">{lang}wcf.infraction.warning.time{/lang}</a></th>
					<th class="columnText columnJudge{if $sortField == 'judgeID'} active {@$sortOrder}{/if}"><a href="{link controller='UserWarningList'}pageNo={@$pageNo}&sortField=judgeID&sortOrder={if $sortField == 'judgeID' && $sortOrder == 'ASC'}DESC{else}ASC{/if}{@$linkParameters}{/link}">{lang}wcf.infraction.warning.judge{/lang}</a></th>
					<th class="columnDigits columnPoints{if $sortField == 'points'} active {@$sortOrder}{/if}"><a href="{link controller='UserWarningList'}pageNo={@$pageNo}&sortField=points&sortOrder={if $sortField == 'points' && $sortOrder == 'ASC'}DESC{else}ASC{/if}{@$linkParameters}{/link}">{lang}wcf.infraction.warning.points{/lang}</a></th>
					<th class="columnDate columnExpires{if $sortField == 'expires'} active {@$sortOrder}{/if}"><a href="{link controller='UserWarningList'}pageNo={@$pageNo}&sortField=expires&sortOrder={if $sortField == 'expires' && $sortOrder == 'ASC'}DESC{else}ASC{/if}{@$linkParameters}{/link}">{lang}wcf.infraction.warning.expires{/lang}</a></th>
					
					{event name='columnHeads'}
				</tr>
			</thead>
			
			<tbody>
				{foreach from=$objects item=warning}
					<tr class="jsWarningRow" data-object-id="{@$warning->userWarningID}">
						<td class="columnIcon">
							<span class="icon icon16 icon-undo {if $warning->revoked}disabled{else}jsButtonWarningRevoke pointer jsTooltip{/if}" title="{lang}wcf.infraction.warning.revoke{/lang}"></span>
							
							{event name='rowButtons'}
						</td>
						<td class="columnID columnUserWarningID">{@$warning->userWarningID}</td>
						<td class="columnTitle">
							<p><a title="{lang}wcf.infraction.warning.showDetails{/lang}" class="jsInfractionShowDetails">{$warning->title|language}</a></p>
							{if $warning->revoked}<p><small>{lang}wcf.infraction.warning.revokedBy{/lang}</small></p>{/if}
							{if $warning->getObject()}<p><small>{lang}wcf.infraction.warning.object{/lang}: <a href="{$warning->getObject()->getLink()}">{$warning->getObject()->getTitle()}</a></small></p>{/if}
						</td>
						<td class="columnText columnUsername"><a href="{link controller='UserEdit' id=$warning->userID}{/link}">{$warning->username}</a></td>
						<td class="columnDate columnTime">{@$warning->time|time}</td>
						<td class="columnText columnJudge"><a href="{link controller='UserEdit' id=$warning->judgeID}{/link}">{$warning->judgeUsername}</a></td>
						<td class="columnDigits columnPoints">{#$warning->points}</td>
						<td class="columnDate columnExpires">{if $warning->expires == 0}{lang}wcf.infraction.warning.expires.never.short{/lang}{else}{@$warning->expires|time}{/if}</td>
						
						{event name='columns'}
					</tr>
				{/foreach}
			</tbody>
		</table>
	</div>
	
	<div class="contentNavigation">
		{@$pagesLinks}
		
		{hascontent}
			<nav>
				{content}
					<ul>
						{event name='contentNavigationButtonsBottom'}
					</ul>
				{/content}
			</nav>
		{/hascontent}
	</div>
{else}
	<p class="info">{lang}wcf.global.noItems{/lang}</p>
{/if}

{include file='footer'}
