{include file='header' pageTitle='wcf.acp.infraction.warning.'|concat:$action}

<header class="boxHeadline">
	<h1>{lang}wcf.acp.infraction.warning.{$action}{/lang}</h1>
</header>

{if $errorField}
	<p class="error">{lang}wcf.global.form.error{/lang}</p>
{/if}

{if $success|isset}
	<p class="success">{lang}wcf.global.success.{$action}{/lang}</p>
{/if}

<div class="contentNavigation">
	<nav>
		<ul>
			<li><a href="{link controller='WarningList'}{/link}" class="button"><span class="icon icon16 icon-list"></span> <span>{lang}wcf.acp.menu.link.infraction.warning.list{/lang}</span></a></li>
			{event name='contentNavigationButtons'}
		</ul>
	</nav>
</div>

<form method="post" action="{if $action == 'add'}{link controller='WarningAdd'}{/link}{else}{link controller='WarningEdit' id=$warningID}{/link}{/if}">
	<div class="container containerPadding sortableListContainer marginTop">
		<fieldset>
			<legend>{lang}wcf.infraction.warning.data{/lang}</legend>
			
			<dl{if $errorField == 'title'} class="formError"{/if}>
				<dt><label for="title">{lang}wcf.global.title{/lang}</label></dt>
				<dd>
					<input type="text" id="title" name="title" value="{$title}" autofocus="autofocus" required="required" class="long" />
					{if $errorField == 'title'}
						<small class="innerError">
							{if $errorType == 'empty'}
								{lang}wcf.global.form.error.empty{/lang}
							{else}
								{lang}wcf.infraction.warning.title.error.{@$errorType}{/lang}
							{/if}
						</small>
					{/if}
				</dd>
			</dl>
			
			{include file='multipleLanguageInputJavascript' elementIdentifier='title' forceSelection=false}
			
			<dl{if $errorField == 'points'} class="formError"{/if}>
				<dt><label for="points">{lang}wcf.infraction.warning.points{/lang}</label></dt>
				<dd>
					<input type="number" id="points" name="points" value="{$points}" min="0" max="8388607" required="required" class="tiny" />
					{if $errorField == 'points'}
						<small class="innerError">
							{if $errorType == 'empty'}
								{lang}wcf.global.form.error.empty{/lang}
							{else}
								{lang}wcf.infraction.warning.points.error.{@$errorType}{/lang}
							{/if}
						</small>
					{/if}
					<small>{lang}wcf.infraction.warning.points.description{/lang}</small>
				</dd>
			</dl>
			
			<dl>
				<dd>
					<label><input type="checkbox" id="expiresNever" name="expiresNever" value="1"{if $expiresNever} checked="checked"{/if} /> {lang}wcf.infraction.warning.expires.never{/lang}</label>
				</dd>
			</dl>
			
			<dl id="expiresSettings"{if $errorField == 'expires'} class="formError"{/if}>
				<dt><label for="expires">{lang}wcf.infraction.warning.expires{/lang}</label></dt>
				<dd>
					<input type="number" id="expires" name="expires" value="{@$expires}" min="1" class="expiresInput short" />
					<select name="expiresType" class="expiresInput">
						<option value="hours"{if $expiresType == 'hours'} selected="selected"{/if}>{lang}wcf.infraction.warning.expires.hours{/lang}</option>
						<option value="days"{if $expiresType == 'days'} selected="selected"{/if}>{lang}wcf.infraction.warning.expires.days{/lang}</option>
						<option value="weeks"{if $expiresType == 'weeks'} selected="selected"{/if}>{lang}wcf.infraction.warning.expires.weeks{/lang}</option>
					</select>
					
					<script type="text/javascript">
						//<![CDATA[
						$('#expiresNever').change(function (event) {
							if ($('#expiresNever').is(':checked')) {
								$('#expiresSettings').hide();
							}
							else {
								$('#expiresSettings').show();
							}
						});
						$('#expiresNever').change();
						//]]>
					</script>
					
					{if $errorField == 'expires'}
						<small class="innerError">
							{if $errorType == 'empty'}
								{lang}wcf.global.form.error.empty{/lang}
							{else}
								{lang}wcf.infraction.warning.expires.error.{@$errorType}{/lang}
							{/if}
						</small>
					{/if}
					<small>{lang}wcf.infraction.warning.expires.description{/lang}</small>
				</dd>
			</dl>
			
			{event name='dataFields'}
		</fieldset>
		
		{event name='fieldsets'}
	</div>
	
	<div class="formSubmit">
		<input type="submit" value="{lang}wcf.global.button.submit{/lang}" accesskey="s" />
	</div>
</form>

{include file='footer'}